Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# tabs.hh File Reference

A PangoTabArray C++ wrapper interface. More...

`#include <xfc/glib/boxed.hh>`
`#include <pango/pango-tabs.h>`
`#include <vector>`
`#include <xfc/pango/inline/tabs.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Pango

## Classes

- class Xfc::Pango::TabArray
    A PangoTabArray C++ wrapper class. More...

## Enumerations

- enum TabAlign { TAB_LEFT = PANGO_TAB_LEFT }
    Specifies where a tab stop appears relative to the text. More...

## Detailed Description

A PangoTabArray C++ wrapper interface.

Provides TabArray, an object for storing Tab Stops.

## Enumeration Type Documentation

enum TabAlign

Specifies where a tab stop appears relative to the text.

Currently there is only TAB_LEFT, but TAB_RIGHT, TAB_CENTER and TAB_NUMERIC may be supported in the future.

Enumeration values:

  TAB_LEFT | The tab stop appears to the left of the text.

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3